package body Video.Rasters.Generic_Blits.Masked is
	procedure Fill_Masked (
		Color  : in     Pixel;
		Mask   : in     Mask_Raster;
		Offset : in     Video.Integer_Geometry.Point;
		Target : in out Raster;
		Bounds : in     Video.Integer_Geometry.Rectangle)
	is
	begin
		for Y in Bounds.Y_Min .. Bounds.Y_Max loop
			for X in Bounds.X_Min .. Bounds.X_Max loop
				if Mask (Y - Offset.Y, X - Offset.X) /= Mask_Value then
					Target (Y, X) := Color;
				end if;
			end loop;
		end loop;
	end Fill_Masked;

end Video.Rasters.Generic_Blits.Masked;