--
-- Generic software low level renderer for 1 bit masks
--
generic
	type Mask_Pixel is (<>);
	type Mask_Raster is array (Integer range <>, Integer range <>) of Mask_Pixel;
	Mask_Value : in Mask_Pixel := Mask_Pixel'First; -- Masking value (typically 0)
package Video.Rasters.Generic_Blits.Masked is

	procedure Fill_Masked (
		Color  : in     Pixel;
		Mask   : in     Mask_Raster;
		Offset : in     Video.Integer_Geometry.Point; -- Mask coordinate offset
		Target : in out Raster;
		Bounds : in     Video.Integer_Geometry.Rectangle); -- Boundary rectangle in Target coords

end Video.Rasters.Generic_Blits.Masked;
