with Video.Integer_Geometry;
--
-- Generic software low level renderer
--
generic
	type Pixel is private;
	type Raster is array (Integer range <>, Integer range <>) of Pixel;
package Video.Rasters.Generic_Blits is

	procedure Fill_Rectangle (
		Color  : in     Pixel;
		Target : in out Raster;
		Bounds : in     Video.Integer_Geometry.Rectangle);

end Video.Rasters.Generic_Blits;
